# SoInfo Class Reference
[Nodes]

`#include <Inventor/nodes/SoInfo.h>`

Inheritance diagram for SoInfo:

List of all members.

## Detailed Description

The SoInfo class is a node for holding text information.

This is simply a placeholder for textual information about a scene. Typically used for specifying author and copyright information in Inventor format files, but can also be used for other purposes, of course.

SoInfo nodes does not influence traversal in any way for any of the builtin actions.

## Public Member Functions

| SoInfo (void)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFString | string

## Protected Member Functions

virtual | ~SoInfo ()

## Constructor & Destructor Documentation

SoInfo::SoInfo | ( | void |  | ) |

| Constructor.

SoInfo::~SoInfo | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoInfo::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

## Member Data Documentation

SoSFString SoInfo::string

| Text information.

The documentation for this class was generated from the following files:

- SoInfo.h
- SoInfo.cpp